org.apache.ignite.internal.processors.cache.transactions

## Class IgniteTxLocalAdapter.FinishClosure<T>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.transactions.IgniteTxLocalAdapter.FinishClosure<T>

Type Parameters:
  `T` - Return type.

All Implemented Interfaces:
  Serializable, IgniteBiClosure<T,Exception,T>

Enclosing class:
  IgniteTxLocalAdapter

    protected abstract class IgniteTxLocalAdapter.FinishClosure<T>
    extends Object
    implements IgniteBiClosure<T,Exception,T>

Post-lock closure.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `IgniteTxLocalAdapter.FinishClosure()`

### Method Summary

Methods
`T` `apply(T t, Exception e)` Closure body.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteTxLocalAdapter.FinishClosure

    protected IgniteTxLocalAdapter.FinishClosure()

### Method Detail

#### apply

    public final T apply(T t,
          @Nullable
          Exception e)

Closure body.

Specified by:
  `apply` in interface `IgniteBiClosure<T,Exception,T>`
Parameters:
  `t` - First parameter.
  `e` - Second parameter.
Returns:
  Closure return value.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015